%define distrib TurboLinux
%define name    mgetty
%define ver     1.1.30
%define rel     4ml
%define srl     2003082101
%define prefix  /usr
%define _sysconfdir /etc
%define _mandir /usr/share/man
%define _infodir /usr/share/info
%define using_netpbm 1
%define have_mkdtemp 1

Summary: A getty replacement for use with data and fax modems.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/Communications
Source: ftp://alpha.greenie.net/pub/mgetty/source/1.1/mgetty%{version}-Dec16.tar.gz
Source1: ftp://alpha.greenie.net/pub/mgetty/source/1.1/mgetty%{version}-Dec16.tar.gz.asc
Source2: logrotate.mgetty
Source3: logrotate.sendfax
Source4: logrotate.vgetty
Source5: logrotate.vm
Patch0: mgetty-1.1.29-config.patch
Patch1: mgetty-1.1.26-policy.patch
Patch2: mgetty-1.1.25-faxprint.patch
Patch3: mgetty-1.1.21-giftopnm.patch
Patch4: mgetty-1.1.25-voiceconfig.patch
Patch5: mgetty-1.1.26-issue.patch
Patch6: mgetty-1.1.26-issue-doc.patch
Patch7: mgetty-1.1.29-helper.patch
Patch8: mgetty-1.1.30-mktemp.patch
URL: http://alpha.greenie.net/mgetty/
Serial: %{srl}
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-root
PreReq: /sbin/install-info
BuildRequires: XFree86-devel, groff
Requires: mktemp
#NoSource: 0

%package sendfax
Summary: Provides support for sending faxes over a modem.
Group: Applications/Communications
Requires: mgetty = %{ver}
Requires: mktemp
#%if %{using_netpbm}
#Requires: netpbm-progs
#%else
#Requires: libgr-progs
#%endif

%package voice
Summary: A program for using your modem and mgetty as an answering machine.
Group: Applications/Communications
Requires: mgetty = %{ver}

%package viewfax
Summary: An X Window System fax viewer.
Group: Applications/Communications

%description
The mgetty package contains a "smart" getty which allows logins over a
serial line (i.e., through a modem).  If you're using a Class 2 or 2.0
modem, mgetty can receive faxes.  If you also need to send faxes, you'll
need to install the sendfax program.

If you'll be dialing in to your system using a modem, you should install
the mgetty package.  If you'd like to send faxes using mgetty and your
modem, you'll need to install the mgetty-sendfax program.  If you need a
viewer for faxes, you'll also need to install the mgetty-viewfax package.

%description sendfax
Sendfax is a standalone backend program for sending fax files.  The
mgetty program (a getty replacement for handling logins over a serial
line) plus sendfax will allow you to send faxes through a Class 2 modem.

If you'd like to send faxes over a Class 2 modem, you'll need to install
the mgetty-sendfax and the mgetty packages.

%description voice
The mgetty-voice package contains the vgetty system, which enables
mgetty and your modem to support voice capabilities.  In simple terms,
vgetty lets your modem act as an answering machine.  How well the system
will work depends upon your modem, which may or may not be able to handle
this kind of implementation.

Install mgetty-voice along with mgetty if you'd like to try having your
modem act as an answering machine.

%description viewfax
Viewfax displays the fax files received using mgetty in an X11 window.
Viewfax is capable of zooming in and out on the displayed fax.

If you're installing the mgetty-viewfax package, you'll also need to
install mgetty.

%prep
#rm -fr $RPM_BUILD_ROOT
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .policy
%patch2 -p1 -b .faxprint
%if %{using_netpbm}
%patch3 -p1 -b .giftopnm
%endif
%patch4 -p1 -b .voiceconfig
%patch5 -p1 -b .issue
%patch6 -p1 -b .issue-doc
# new texinfo much stricter about xrefs
%patch7 -p1 -b .helper
%patch8 -p1 -b .mktemp
cp policy.h-dist policy.h

%build
PATH=$PATH:/usr/X11R6/bin
export PATH

%define makeflags CFLAGS="$RPM_OPT_FLAGS -Wall -DAUTO_PPP" prefix=%{_prefix} spool=%{_var}/spool BINDIR=%{_bindir} SBINDIR=%{_sbindir} LIBDIR=%{_libdir}/mgetty+sendfax HELPDIR=%{_libdir}/mgetty+sendfax CONFDIR=%{_sysconfdir}/mgetty+sendfax MANDIR=%{_mandir} MAN1DIR=%{_mandir}/man1 MAN4DIR=%{_mandir}/man4 MAN5DIR=%{_mandir}/man5 MAN8DIR=%{_mandir}/man8 INFODIR=%{_infodir} ECHO='"echo -e"' INSTALL=%{__install}
make %{makeflags}
make -C voice %{makeflags}
make -C tools %{makeflags}

%if %{have_mkdtemp}
MKDTEMP_FLAGS=
%else
MKDTEMP_FLAGS=-DNEED_MKDTEMP
%endif

pushd frontends/X11/viewfax-2.5
xmkmf
make depend

make CDEBUGFLAGS="$RPM_OPT_FLAGS $MKDTEMP_FLAGS" \
        CONFDIR=%{_sysconfdir}/mgetty+sendfax
popd

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_libdir}/mgetty+sendfax}
mkdir -p $RPM_BUILD_ROOT{%{_mandir},%{_sbindir},/sbin,/var/spool}

%define instflags                                                                       CFLAGS="$RPM_OPT_FLAGS -Wall -DAUTO_PPP"                                        prefix=$RPM_BUILD_ROOT%{_prefix}                                                spool=$RPM_BUILD_ROOT%{_var}/spool                                              BINDIR=$RPM_BUILD_ROOT%{_bindir}                                                SBINDIR=$RPM_BUILD_ROOT%{_sbindir}                                              LIBDIR=$RPM_BUILD_ROOT%{_libdir}/mgetty+sendfax                                 HELPDIR=$RPM_BUILD_ROOT%{_libdir}/mgetty+sendfax                                CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/mgetty+sendfax                            MANDIR=$RPM_BUILD_ROOT%{_mandir}                                                MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1                                          MAN4DIR=$RPM_BUILD_ROOT%{_mandir}/man4                                          MAN5DIR=$RPM_BUILD_ROOT%{_mandir}/man5                                          MAN8DIR=$RPM_BUILD_ROOT%{_mandir}/man8                                          INFODIR=$RPM_BUILD_ROOT%{_infodir}                                              ECHO='echo -e' INSTALL=%{__install}
make install %instflags
install -m700 callback/callback $RPM_BUILD_ROOT%{_sbindir}
install -m4711 callback/ct $RPM_BUILD_ROOT%{_bindir}

gzip -9n $RPM_BUILD_ROOT%{_infodir}/*

mv $RPM_BUILD_ROOT%{_sbindir}/mgetty $RPM_BUILD_ROOT/sbin

# this conflicts with efax
mv $RPM_BUILD_ROOT%{_mandir}/man1/fax.1 $RPM_BUILD_ROOT%{_mandir}/man1/mgetty_fax.1

# tools
make -C tools install %instflags

# voice mail extensions
mkdir -p $RPM_BUILD_ROOT%{_var}/spool/voice/{messages,incoming}
make -C voice install %instflags
mv $RPM_BUILD_ROOT%{_sbindir}/vgetty $RPM_BUILD_ROOT/sbin
install -m 600 -c voice/voice.conf-dist $RPM_BUILD_ROOT%{_sysconfdir}/mgetty+sendfax/voice.conf

# don't ship documentation that is executable...
find samples -type f -exec chmod 644 {} \;

make -C frontends/X11/viewfax-2.5 install %instflags
make -C frontends/X11/viewfax-2.5 install.man %instflags MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

# install logrotate control files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -m 0644 $RPM_SOURCE_DIR/logrotate.mgetty  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/mgetty
install -m 0644 $RPM_SOURCE_DIR/logrotate.sendfax  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/sendfax
install -m 0644 $RPM_SOURCE_DIR/logrotate.vgetty  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/vgetty
install -m 0644 $RPM_SOURCE_DIR/logrotate.vm  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/vm

# remove file droppings from $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_bindir}/cutbl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/mgetty.info.gz %{_infodir}/dir --entry="* mgetty: (mgetty).		Package to handle faxes, voicemail and more."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/mgetty.info.gz %{_infodir}/dir --entry="* mgetty: (mgetty). 	Package to handle faxes, voicemail and more."
fi

%pre sendfax
/usr/sbin/useradd -c "mgetty fax spool user" -u 78 \
      -s /sbin/nologin -r -d /var/spool/fax fax 2> /dev/null || :

%files
%defattr(-,root,root)
%doc BUGS ChangeLog README.1st Recommend THANKS doc/modems.db samples
%doc doc/mgetty.ps doc/*.txt
/sbin/mgetty
%{_sbindir}/callback
%{_mandir}/man4/mgettydefs.4*
%{_mandir}/man8/mgetty.8*
%{_mandir}/man8/callback.8*
%{_infodir}/mgetty.info*
%dir %{_sysconfdir}/mgetty+sendfax
%config %{_sysconfdir}/mgetty+sendfax/login.config
%config %{_sysconfdir}/mgetty+sendfax/mgetty.config
%config %{_sysconfdir}/mgetty+sendfax/dialin.config
%config %{_sysconfdir}/logrotate.d/mgetty

%files sendfax
%defattr(-,root,root)
%dir %{_var}/spool/fax
%attr(0755,fax,root) %dir %{_var}/spool/fax/incoming
%attr(0755,fax,root) %dir %{_var}/spool/fax/outgoing
%attr(0755,root,root) %{_bindir}/ct
%{_bindir}/faxq
%{_bindir}/faxrm
%{_bindir}/faxrunq
%{_bindir}/faxspool
%{_bindir}/g3cat
%{_bindir}/g32pbm
%{_bindir}/kvg
%{_bindir}/newslock
%{_bindir}/pbm2g3
%{_sbindir}/faxrunqd
%{_sbindir}/sendfax
%dir %{_libdir}/mgetty+sendfax
%{_libdir}/mgetty+sendfax/cour25.pbm
%{_libdir}/mgetty+sendfax/cour25n.pbm
%attr(04711,fax,root) %{_libdir}/mgetty+sendfax/faxq-helper
%{_mandir}/man1/g32pbm.1*
%{_mandir}/man1/pbm2g3.1*
%{_mandir}/man1/g3cat.1*
%{_mandir}/man1/mgetty_fax.1*
%{_mandir}/man1/faxspool.1*
%{_mandir}/man1/faxrunq.1*
%{_mandir}/man1/faxq.1*
%{_mandir}/man1/faxrm.1*
%{_mandir}/man1/coverpg.1*
%{_mandir}/man5/faxqueue.5*
%{_mandir}/man8/faxrunqd.8*
%{_mandir}/man8/sendfax.8*
%dir %{_sysconfdir}/mgetty+sendfax
%config %{_sysconfdir}/mgetty+sendfax/sendfax.config
%config %{_sysconfdir}/mgetty+sendfax/faxrunq.config
%config %{_sysconfdir}/mgetty+sendfax/faxspool.rules.sample
%config %{_sysconfdir}/mgetty+sendfax/faxheader
%config %{_sysconfdir}/logrotate.d/sendfax

%files voice
%defattr(-,root,root)
%doc voice/doc/* voice/Announce voice/ChangeLog voice/Readme
%dir %{_var}/spool/voice
%dir %{_var}/spool/voice/incoming
%dir %{_var}/spool/voice/messages
/sbin/vgetty
%{_bindir}/vm
%{_bindir}/pvfamp
%{_bindir}/pvfcut
%{_bindir}/pvfecho
%{_bindir}/pvffft
%{_bindir}/pvffile
%{_bindir}/pvffilter
%{_bindir}/pvfmix
%{_bindir}/pvfnoise
%{_bindir}/pvfreverse
%{_bindir}/pvfsine
%{_bindir}/pvfspeed
%{_bindir}/rmdfile
%{_bindir}/pvftormd
%{_bindir}/rmdtopvf
%{_bindir}/pvftovoc
%{_bindir}/voctopvf
%{_bindir}/pvftolin
%{_bindir}/lintopvf
%{_bindir}/pvftobasic
%{_bindir}/basictopvf
%{_bindir}/pvftoau
%{_bindir}/autopvf
%{_bindir}/pvftowav
%{_bindir}/wavtopvf
%{_mandir}/man1/zplay.1*
%{_mandir}/man1/pvf.1*
%{_mandir}/man1/pvfamp.1*
%{_mandir}/man1/pvfcut.1*
%{_mandir}/man1/pvfecho.1*
%{_mandir}/man1/pvffile.1*
%{_mandir}/man1/pvffft.1*
%{_mandir}/man1/pvfmix.1*
%{_mandir}/man1/pvfreverse.1*
%{_mandir}/man1/pvfsine.1*
%{_mandir}/man1/pvfspeed.1*
%{_mandir}/man1/pvftormd.1*
%{_mandir}/man1/rmdtopvf.1*
%{_mandir}/man1/rmdfile.1*
%{_mandir}/man1/pvftovoc.1*
%{_mandir}/man1/voctopvf.1*
%{_mandir}/man1/pvftolin.1*
%{_mandir}/man1/lintopvf.1*
%{_mandir}/man1/pvftobasic.1*
%{_mandir}/man1/basictopvf.1*
%{_mandir}/man1/pvftoau.1*
%{_mandir}/man1/autopvf.1*
%{_mandir}/man1/pvftowav.1*
%{_mandir}/man1/wavtopvf.1*
%{_mandir}/man8/vgetty.8*
%dir %{_sysconfdir}/mgetty+sendfax
%config %{_sysconfdir}/mgetty+sendfax/voice.conf
%config %{_sysconfdir}/logrotate.d/vgetty
%config %{_sysconfdir}/logrotate.d/vm

%files viewfax
%defattr(-,root,root)
%doc frontends/X11/viewfax-2.5/C* frontends/X11/viewfax-2.5/README
%{_bindir}/viewfax
%dir %{_libdir}/mgetty+sendfax
%{_libdir}/mgetty+sendfax/viewfax.tif
%{_mandir}/man1/viewfax.1x*

%changelog
* Thu Aug 21 2003 Atsushi Goebuchi <goebuchi@miraclelinux.com>
- update to 1.1.30-4ml
- Add logrotate.mgetty logrotate.sendfax logrotate.vgetty logrotate.vm
- Add Patch giftopnm faxprint voiceconfig issue issue-doc helper mktemp
- Change Patch policy config

* Fri Feb 23 2001 Kiichiro Naka <knaka@turbolinux.co.jp>
- 1.1.22-6
- for FHS/LSB compatibility

* Thu Jan 18 2001 Kiichiro Naka <knaka@turbolinux.co.jp>
- 1.1.22-3
- patched for /tmp security vulnarability

* Wed Aug 30 2000 SL Baur  <steve@turbolinux.co.jp>
- add explicit build dependency on XFree86-devel

* Mon Aug 28 2000 SL Baur  <steve@turbolinux.co.jp>
- update to 1.1.22 to fix a security hole

* Wed Aug 23 2000 SL Baur  <steve@turbolinux.co.jp>
- fix for rpm-4

* Tue Jul 04 2000 Kiichiro Kyle Naka <knaka@turbolinux.co.jp>
- 1.1.21-6 / Centronized.

* Tue Aug 17 1999 Anh Vo <anhvo@turbolinux.com>
- Built for TL
- Deleted Contrib package

* Sun Aug 15 1999 Nick Urbanik <nicku@vtc.edu.hk>
- Signed it.

* Sat Aug 14 1999 Nick Urbanik <nicku@vtc.edu.hk>
- updated to 1.1.21
- Created the contrib package (marginally worthwhile)
- Added more documentation to mgetty
- Added more programs to sendfax and voice.

* Tue Apr  6 1999 Bill Nottingham <notting@redhat.com>
- strip setuid bit from ct

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- better log handling

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Sat Aug 22 1998 Jos Vos <jos@xos.nl>
- Use a patch for creating policy.h using policy.h-dist.
- Add viewfax subpackage (X11 fax viewing program).
- Add logrotate config files for mgetty and sendfax log files.
- Properly define ECHO in Makefile for use with bash.
- Add optional use of dialin.config (for modems supporting this).
- Change default notification address to "root" (was "faxadmin").
- Change log file names according to better defaults.
- Change default notify program to /etc/mgetty+sendfax/new_fax (was
  %{prefix}/local/bin/new_fax).

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- add faxrunqd man page (problem #850)
- add missing pbm2g3 (and man page); remove unnecessary "rm -f pbmtog3"
- delete redundant ( cd tools; make ... )

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.1.14
- AutoPPP patch
 
* Thu Dec 18 1997 Mike Wangsmo <wanger@redhat.com>
- added more of the documentation files to the rpm

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info support

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- now requires libgr-progs instead of netpbm

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
